<?xml version="1.0" encoding="UTF-8"?>
<workbench version="2.0">
<window height="768" maximized="true" width="1024" x="128" y="0">
<fastViewData fastViewLocation="1024"/>
<perspectiveBar>
<itemSize x="160"/>
</perspectiveBar>
<coolbarLayout locked="0">
<coolItem id="group.file" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.file" itemType="typeToolBarContribution" x="130" y="22"/>
<coolItem id="additions" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.debug.ui.launchActionSet" itemType="typeToolBarContribution" x="133" y="22"/>
<coolItem id="org.eclipse.search.searchActionSet" itemType="typeToolBarContribution" x="59" y="22"/>
<coolItem id="group.nav" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.navigate" itemType="typeToolBarContribution" x="116" y="22"/>
<coolItem id="group.editor" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.cdt.ui.editor.CEditor" itemType="typeToolBarContribution" x="59" y="22"/>
</coolbarLayout>
<page focus="true" label="Workspace - C/C++">
<editors>
<editorArea activeWorkbook="DefaultEditorWorkbook">
<info part="DefaultEditorWorkbook">
<folder appearance="1" expanded="2">
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
</presentation>
</folder>
</info>
</editorArea>
<editor activePart="true" focus="true" id="org.eclipse.cdt.ui.editor.CEditor" name="web_server.c" partName="web_server.c" path="C:/DE2/DE2_WEB/web_server_0/web_server.c" title="web_server.c" tooltip="web_server_0/web_server.c" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/web_server_0/web_server.c"/>
</editor>
</editors>
<views>
<view id="org.eclipse.ui.views.ContentOutline" partName="Outline">
<viewState/>
</view>
<view id="org.eclipse.ui.console.ConsoleView" partName="Console"/>
<view id="org.eclipse.cdt.ui.CView" partName="C/C++ Projects">
<viewState horizontalPosition="0" verticalPosition="0">
<selection>
<element path="C:/DE2/DE2_WEB/web_server_0"/>
</selection>
<customFilters userDefinedPatternsEnabled="false">
<xmlDefinedFilters>
<child filterId="org.eclipse.cdt.internal.ui.CView.ArchiveFilter" isEnabled="false"/>
<child filterId="org.eclipse.cdt.ui.CView_patternFilterId_.*" isEnabled="true"/>
<child filterId="org.eclipse.cdt.internal.ui.CView.NonCElementFilter" isEnabled="false"/>
<child filterId="org.eclipse.cdt.internal.ui.CView.ExecutableFilter" isEnabled="false"/>
<child filterId="org.eclipse.cdt.internal.ui.CView.SharedFilter" isEnabled="false"/>
<child filterId="org.eclipse.cdt.internal.ui.CView.ObjectFilter" isEnabled="false"/>
<child filterId="org.eclipse.cdt.internal.ui.CView.NonCProjectsFilter" isEnabled="false"/>
<child filterId="org.eclipse.cdt.internal.ui.CView.ClosedProjectFilter" isEnabled="false"/>
</xmlDefinedFilters>
</customFilters>
</viewState>
</view>
<view id="org.eclipse.ui.views.PropertySheet" partName="Properties"/>
<view id="org.eclipse.ui.views.ProblemView" partName="Problems">
<viewState columnWidth0="19" columnWidth1="293" columnWidth2="110" columnWidth3="219" columnWidth4="87" horizontalPosition="0" verticalPosition="0">
<selection/>
</viewState>
</view>
<view id="org.eclipse.ui.views.ResourceNavigator" partName="Navigator"/>
</views>
<perspectives activePart="org.eclipse.cdt.ui.editor.CEditor" activePerspective="org.eclipse.cdt.ui.CPerspective">
<perspective editorAreaVisible="1" fixed="0" version="0.016">
<descriptor class="org.eclipse.cdt.internal.ui.CPerspectiveFactory" id="org.eclipse.cdt.ui.CPerspective" label="C/C++"/>
<actionSet id="com.altera.nj.doc.user.NiosIIDocumentation"/>
<actionSet id="com.altera.nj.launch.NiosIIToolsMenuActionSet"/>
<actionSet id="com.altera.nj.ui.actionSet"/>
<actionSet id="org.eclipse.search.searchActionSet"/>
<actionSet id="org.eclipse.ui.cheatsheets.actionSet"/>
<actionSet id="org.eclipse.ui.edit.text.actionSet.openExternalFile"/>
<actionSet id="org.eclipse.ui.edit.text.actionSet.navigation"/>
<actionSet id="org.eclipse.ui.externaltools.ExternalToolsSet"/>
<actionSet id="org.eclipse.update.ui.softwareUpdates"/>
<actionSet id="org.eclipse.cdt.ui.SearchActionSet"/>
<actionSet id="org.eclipse.debug.ui.launchActionSet"/>
<alwaysOnActionSet id="com.altera.nj.doc.user.NiosIIDocumentation"/>
<alwaysOnActionSet id="com.altera.nj.launch.NiosIIToolsMenuActionSet"/>
<alwaysOnActionSet id="com.altera.nj.ui.actionSet"/>
<alwaysOnActionSet id="org.eclipse.search.searchActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.cheatsheets.actionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.openExternalFile"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.navigation"/>
<alwaysOnActionSet id="org.eclipse.ui.externaltools.ExternalToolsSet"/>
<alwaysOnActionSet id="org.eclipse.update.ui.softwareUpdates"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.SearchActionSet"/>
<alwaysOnActionSet id="org.eclipse.debug.ui.launchActionSet"/>
<show_view_action id="org.eclipse.ui.console.ConsoleView"/>
<show_view_action id="org.eclipse.search.SearchResultView"/>
<show_view_action id="org.eclipse.ui.views.ContentOutline"/>
<show_view_action id="org.eclipse.ui.views.ProblemView"/>
<show_view_action id="org.eclipse.cdt.ui.CView"/>
<show_view_action id="org.eclipse.ui.views.ResourceNavigator"/>
<show_view_action id="org.eclipse.ui.views.PropertySheet"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewFolderCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewFileCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewHeaderFileCreationWizard"/>
<new_wizard_action id="com.altera.nj.ui.wizards.ManagedNJWizard"/>
<perspective_action id="org.eclipse.debug.ui.DebugPerspective"/>
<perspective_action id="org.eclipse.vcm.ui.vcmPerspective"/>
<perspective_action id="org.eclipse.cdt.ui.CBrowsingPerspective"/>
<view id="org.eclipse.cdt.ui.CView"/>
<view id="org.eclipse.ui.views.ResourceNavigator"/>
<view id="org.eclipse.ui.views.ProblemView"/>
<view id="org.eclipse.ui.console.ConsoleView"/>
<view id="org.eclipse.ui.views.PropertySheet"/>
<view id="org.eclipse.ui.views.ContentOutline"/>
<layout>
<mainWindow>
<info folder="true" part="topLeft">
<folder activePageID="org.eclipse.cdt.ui.CView" appearance="2" expanded="2">
<page content="org.eclipse.cdt.ui.CView" label="C/C++ Projects"/>
<page content="org.eclipse.ui.views.ResourceNavigator" label="Navigator"/>
<page content="org.eclipse.ui.views.BookmarkView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
<part id="1"/>
</presentation>
</folder>
</info>
<info folder="true" part="org.eclipse.ui.internal.ViewStack@c22a3b" ratio="0.74949086" ratioLeft="736" ratioRight="246" relationship="2" relative="topLeft">
<folder appearance="2" expanded="2">
<page content="org.eclipse.ui.cheatsheets.views.CheatSheetView" label="LabelNotFound"/>
<page content="org.eclipse.ui.internal.introview" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory"/>
</folder>
</info>
<info part="org.eclipse.ui.editorss" ratio="0.24949084" ratioLeft="245" ratioRight="737" relationship="2" relative="topLeft"/>
<info folder="true" part="bottom" ratio="0.75" ratioLeft="498" ratioRight="166" relationship="4" relative="org.eclipse.ui.editorss">
<folder activePageID="org.eclipse.ui.views.ProblemView" appearance="2" expanded="2">
<page content="org.eclipse.ui.views.ProblemView" label="Problems"/>
<page content="org.eclipse.ui.console.ConsoleView" label="Console"/>
<page content="org.eclipse.ui.views.PropertySheet" label="Properties"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
<part id="1"/>
<part id="2"/>
</presentation>
</folder>
</info>
<info folder="true" part="topRight" ratio="0.74898237" ratioLeft="552" ratioRight="185" relationship="2" relative="org.eclipse.ui.editorss">
<folder activePageID="org.eclipse.ui.views.ContentOutline" appearance="2" expanded="2">
<page content="org.eclipse.ui.views.ContentOutline" label="Outline"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
</presentation>
</folder>
</info>
</mainWindow>
</layout>
</perspective>
</perspectives>
<navigationHistory>
<editors>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/web_server_0/web_server.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/web_server_0/dm9000.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/web_server_0/http.c"/>
</editors>
<item historyLabel="web_server.c" index="0">
<position info="not_deleted" x="1064" y="0"/>
</item>
<item historyLabel="dm9000.c" index="1">
<position/>
</item>
<item historyLabel="web_server.c" index="0">
<position info="not_deleted" x="919" y="0"/>
</item>
<item historyLabel="http.c" index="2">
<position/>
</item>
<item active="true" historyLabel="web_server.c" index="0">
<position info="not_deleted" x="919" y="0"/>
</item>
</navigationHistory>
<input factoryID="org.eclipse.ui.internal.model.ResourceFactory" path="/" type="8"/>
</page>
</window>
<mruList>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="http.c" tooltip="web_server_0/http.c">
<persistable path="/web_server_0/http.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="dm9000.c" tooltip="web_server_0/dm9000.c">
<persistable path="/web_server_0/dm9000.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="web_server.c" tooltip="web_server_0/web_server.c">
<persistable path="/web_server_0/web_server.c"/>
</file>
</mruList>
</workbench>
